<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for POLB_IN364001NL02 - Antwoord op Opvragen Labuitslagen </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:hl7cda:pharm:medication" prefix="pharm"/>
   <ns uri="urn:oid:1.3.6.1.4.1.19376.1.3.2" prefix="lab"/>
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron -->
   <include href="include/DTr1_XML.NL.sch"/>
   <include href="include/transmission-wrapper.NL.sch"/>
   <include href="include/controlAct-wrapper.NL.sch"/>
   <pattern is-a="transmission-wrapper" id="POLB_IN364001NL02-wrapper">
      <param name="element" value="hl7:POLB_IN364001NL02"/>
   </pattern>
   <pattern is-a="controlAct-wrapper" id="POLB_IN364001NL02-controlAct">
      <param name="element" value="hl7:POLB_IN364001NL02/hl7:ControlActProcess"/>
   </pattern>
   <pattern>
      <rule context="hl7:POLB_IN364001NL02/hl7:profileId">
         <extends rule="II"/>
         <assert role="error"
                 test="@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810'">In de transmission wrapper moet het element profileId worden gevuld met de waarde '810'</assert>
      </rule>
   </pattern>
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario opleverenLabUitslagen -->

   <!-- opleverenLabUitslagen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.sch"/>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->



   <!-- includes -->
   <!-- ihe-LaboratoryObservation -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.sch"/>
   <!-- ccda2-ReasonforReferralSection -->
   <include href="include/1.3.6.1.4.1.19376.1.5.3.1.3.1.2-2013-09-01T000000.sch"/>
   <!-- ihe-AnnotationComment -->
   <include href="include/1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.sch"/>
   <!-- ccda2-ActReference -->
   <include href="include/2.16.840.1.113883.10.20.22.4.122-2013-09-01T000000.sch"/>
   <!-- ccda2-PatientReferralAct -->
   <include href="include/2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.sch"/>
   <!-- ccda2-ResultObservation -->
   <include href="include/2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.sch"/>
   <!-- ccda2-CommentActivity -->
   <include href="include/2.16.840.1.113883.10.20.22.4.64-2014-03-31T000000.sch"/>
   <!-- gebb-EncounterActivity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.sch"/>
   <!-- gebb-ServiceDeliveryLocation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.2.10.2-2013-12-31T000000.sch"/>
   <!-- gebb-Indication -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.2.10.3-2013-01-31T000000.sch"/>
   <!-- gebb-LaboratoryObservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.2.10.5-2014-03-31T000000.sch"/>
   <!-- gebb-CommentActivity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.sch"/>
   <!-- gebb-ResultObservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.2.10.7-2013-01-31T000000.sch"/>
   <!-- RelatedPrescription -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.115-2013-12-21T000000.sch"/>
   <!-- MedicationInformation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.116-2013-12-21T000000.sch"/>
   <!-- kezo-Contactmoment -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.201-2013-12-31T000000.sch"/>
   <!-- kezo-Algemenebepaling -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.202-2013-12-31T000000.sch"/>
   <!-- kezo-Labbepaling -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.203-2014-04-03T000000.sch"/>
   <!-- kezo-Voorschrift -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.204-2014-04-30T000000.sch"/>
   <!-- kezo-IndicatieDiagnose -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.205-2014-04-30T000000.sch"/>
   <!-- kezo-PatientReferralAct -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.206-2014-06-27T000000.sch"/>
   <!-- kezo-ClinicalInformation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.301-2014-06-27T000000.sch"/>
   <!-- kezo-Summary -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.302-2014-06-27T000000.sch"/>
   <!-- kezo-clinicaldocument-verwijzing -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.sch"/>
   <!-- kezo-clinicaldocument-overdracht -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.sch"/>

</schema>
